Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027822
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminorhave not tried2014-10-09 19:452015-02-04 20:34
ReporterjonalegriaesarteView Statuspublic 
Assigned Toreinaldoguerra 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchpiFixed in SCM revision9c64f5a535d5
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027822: Blank Price List Schema causes the Price List to not create correctly

DescriptionBlank Price List Schema causes the Price List to not create correctly. The system should avoid the blank price list schema creation, to avoid the issue in when creating the price list.
Steps To Reproduce- Create a blank price list schema
- Create a price list using this price list schema. Notice that the system shows errors.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071721)
reinaldoguerra (developer)
2014-11-17 17:50

Unable to reproduce: the message error shown when creating a price list from a price list shema without lines is correct.
Also the solution to avoid the problem does not seem right since the price list schema don't have defined a validation process to ensure that it is created without lines.
(0072777)
reinaldoguerra (developer)
2014-12-22 18:03

Kindly reminder
(0073777)
jonalegriaesarte (reporter)
2015-01-26 14:10

Tested in live.builds - pi:

- Create a price list schema without lines
- Create a new price list
- Create a new price list version, based on the price list schema created without lines and add a base price list
- Use button Create Price List. The system does not show any error, but prices are not added in the product price entity
(0073817)
reinaldoguerra (developer)
2015-01-27 15:31

Test plan used:
1- Login into Openbravo ERP.
2- Go to Price List Schema window and create a new one without lines
3- Go to Price List window create a new header
4- Go to Price List Version tab and create a new one, based on the price list schema created without lines, also select a base price list.
5- Use button Create Price List. The system now launch an error indicating that Price List Schema lines are required to complete the process.
(0073852)
hgbot (developer)
2015-01-28 10:57

Repository: erp/devel/pi
Changeset: 9c64f5a535d5cb8533468d35568381bd47d5c54f
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Mon Jan 26 23:28:17 2015 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/9c64f5a535d5cb8533468d35568381bd47d5c54f [^]

Fixed bug 27822: Price List is not created and no error message is shown.

Create Price List stored procedure, was changed to launch an error message when the price list schema, defined in the price list version, have no lines defined.
Now, when creating a price list for a schema without lines, no product prices are added and an error message indicating that price list schema lines are required to execute the process.

---
M src-db/database/model/functions/M_PRICELIST_CREATE.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0073853)
Sandrahuguet (developer)
2015-01-28 10:58

Code review + testing OK
(0074190)
hudsonbot (developer)
2015-02-04 20:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-09 19:45 jonalegriaesarte New Issue
2014-10-09 19:45 jonalegriaesarte Assigned To => AtulOpenbravo
2014-10-09 19:45 jonalegriaesarte Modules => Core
2014-10-09 19:45 jonalegriaesarte Triggers an Emergency Pack => No
2014-11-17 17:50 reinaldoguerra Note Added: 0071721
2014-11-17 17:50 reinaldoguerra Assigned To AtulOpenbravo => jonalegriaesarte
2014-11-17 17:50 reinaldoguerra Status new => feedback
2014-12-22 12:32 vmromanos Target Version 3.0PR15Q1 => 3.0PR15Q2
2014-12-22 18:03 reinaldoguerra Note Added: 0072777
2015-01-26 14:10 jonalegriaesarte Note Added: 0073777
2015-01-26 14:11 jonalegriaesarte Status feedback => scheduled
2015-01-26 14:11 jonalegriaesarte Assigned To jonalegriaesarte => reinaldoguerra
2015-01-26 14:11 jonalegriaesarte fix_in_branch => pi
2015-01-27 15:31 reinaldoguerra Note Added: 0073817
2015-01-28 10:57 hgbot Checkin
2015-01-28 10:57 hgbot Note Added: 0073852
2015-01-28 10:57 hgbot Status scheduled => resolved
2015-01-28 10:57 hgbot Resolution open => fixed
2015-01-28 10:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9c64f5a535d5cb8533468d35568381bd47d5c54f [^]
2015-01-28 10:58 Sandrahuguet Review Assigned To => Sandrahuguet
2015-01-28 10:58 Sandrahuguet Note Added: 0073853
2015-01-28 10:58 Sandrahuguet Status resolved => closed
2015-01-28 10:58 Sandrahuguet Fixed in Version => 3.0PR15Q2
2015-02-04 20:34 hudsonbot Checkin
2015-02-04 20:34 hudsonbot Note Added: 0074190


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker